Bug 1129755 - [abrt] mate-screensaver: handle_error(): mate-screensaver killed by SIGTRAP
Summary: [abrt] mate-screensaver: handle_error(): mate-screensaver killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-screensaver
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d7f95d238957776c446724e1bed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:21 UTC by chalsall
Modified: 2015-06-29 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:03:35 UTC


Attachments (Terms of Use)
File: backtrace (45.72 KB, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: core_backtrace (17.70 KB, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: dso_list (7.72 KB, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: environ (894 bytes, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: maps (35.73 KB, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: open_fds (961 bytes, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details
File: var_log_messages (547 bytes, text/plain)
2014-08-13 15:21 UTC, chalsall
no flags Details

Description chalsall 2014-08-13 15:21:46 UTC
Description of problem:
Not sure if it's relevant, but I added a third screen to my workstation by way of an NVidia Quatro 1800, and thus had to switch from XRandR to Xinerama.

Version-Release number of selected component:
mate-screensaver-1.6.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/mate-screensaver --no-daemon
crash_function: handle_error
executable:     /usr/bin/mate-screensaver
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #8 gdk_flush at gdkevents-x11.c:2584
 #9 xf86_whack_gamma at gs-fade.c:251
 #10 gamma_fade_set_alpha_gamma at gs-fade.c:414
 #11 gs_fade_set_alpha at gs-fade.c:633
 #12 gs_fade_out_iter at gs-fade.c:659
 #13 fade_out_timer at gs-fade.c:701
 #18 g_main_context_iteration at gmain.c:3774
 #19 gtk_main_iteration at gtkmain.c:1345

Comment 1 chalsall 2014-08-13 15:21:49 UTC
Created attachment 926473 [details]
File: backtrace

Comment 2 chalsall 2014-08-13 15:21:50 UTC
Created attachment 926474 [details]
File: cgroup

Comment 3 chalsall 2014-08-13 15:21:51 UTC
Created attachment 926475 [details]
File: core_backtrace

Comment 4 chalsall 2014-08-13 15:21:52 UTC
Created attachment 926476 [details]
File: dso_list

Comment 5 chalsall 2014-08-13 15:21:53 UTC
Created attachment 926477 [details]
File: environ

Comment 6 chalsall 2014-08-13 15:21:54 UTC
Created attachment 926478 [details]
File: limits

Comment 7 chalsall 2014-08-13 15:21:55 UTC
Created attachment 926479 [details]
File: maps

Comment 8 chalsall 2014-08-13 15:21:56 UTC
Created attachment 926480 [details]
File: open_fds

Comment 9 chalsall 2014-08-13 15:21:57 UTC
Created attachment 926481 [details]
File: proc_pid_status

Comment 10 chalsall 2014-08-13 15:21:58 UTC
Created attachment 926482 [details]
File: var_log_messages

Comment 11 Wolfgang Ulbrich 2015-03-18 17:52:31 UTC
Is the problem still exists with the latest updates?

Comment 12 Wolfgang Ulbrich 2015-03-18 17:54:45 UTC
mate-screensaver-1.8.1-3.fc20 is in updates-testing.

Comment 13 Fedora End Of Life 2015-05-29 12:37:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora Admin XMLRPC Client 2015-06-17 22:27:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2015-06-29 22:03:35 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.